aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristian Grothoff <christian@grothoff.org>2013-10-02 16:51:00 +0000
committerChristian Grothoff <christian@grothoff.org>2013-10-02 16:51:00 +0000
commitbc26a5a2898974dadf5ce818797f700bc3bce567 (patch)
treeebb52c40c4212e213f013354a7e8cd270ebfb973
parenta4221fb791366837276e7bc17ffddfaf8ec758f8 (diff)
downloadgnunet-bc26a5a2898974dadf5ce818797f700bc3bce567.tar.gz
gnunet-bc26a5a2898974dadf5ce818797f700bc3bce567.zip
-remove generated binary
-rwxr-xr-xsrc/mesh/gnunet-service-mesh-enc228
1 files changed, 0 insertions, 228 deletions
diff --git a/src/mesh/gnunet-service-mesh-enc b/src/mesh/gnunet-service-mesh-enc
deleted file mode 100755
index 2af28be78..000000000
--- a/src/mesh/gnunet-service-mesh-enc
+++ /dev/null
@@ -1,228 +0,0 @@
1#! /bin/sh
2
3# gnunet-service-mesh-enc - temporary wrapper script for .libs/gnunet-service-mesh-enc
4# Generated by libtool (GNU libtool) 2.4.2
5#
6# The gnunet-service-mesh-enc program cannot be directly executed until all the libtool
7# libraries that it depends on are installed.
8#
9# This wrapper script should never be moved out of the build directory.
10# If it is, it will not operate correctly.
11
12# Sed substitution that helps us do robust quoting. It backslashifies
13# metacharacters that are still active within double-quoted strings.
14sed_quote_subst='s/\([`"$\\]\)/\\\1/g'
15
16# Be Bourne compatible
17if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
18 emulate sh
19 NULLCMD=:
20 # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
21 # is contrary to our usage. Disable this feature.
22 alias -g '${1+"$@"}'='"$@"'
23 setopt NO_GLOB_SUBST
24else
25 case `(set -o) 2>/dev/null` in *posix*) set -o posix;; esac
26fi
27BIN_SH=xpg4; export BIN_SH # for Tru64
28DUALCASE=1; export DUALCASE # for MKS sh
29
30# The HP-UX ksh and POSIX shell print the target directory to stdout
31# if CDPATH is set.
32(unset CDPATH) >/dev/null 2>&1 && unset CDPATH
33
34relink_command="(cd /home/bart/g/src/mesh; { test -z \"\${LIBRARY_PATH+set}\" || unset LIBRARY_PATH || { LIBRARY_PATH=; export LIBRARY_PATH; }; }; { test -z \"\${COMPILER_PATH+set}\" || unset COMPILER_PATH || { COMPILER_PATH=; export COMPILER_PATH; }; }; { test -z \"\${GCC_EXEC_PREFIX+set}\" || unset GCC_EXEC_PREFIX || { GCC_EXEC_PREFIX=; export GCC_EXEC_PREFIX; }; }; { test -z \"\${LD_RUN_PATH+set}\" || unset LD_RUN_PATH || { LD_RUN_PATH=; export LD_RUN_PATH; }; }; { test -z \"\${LD_LIBRARY_PATH+set}\" || unset LD_LIBRARY_PATH || { LD_LIBRARY_PATH=; export LD_LIBRARY_PATH; }; }; PATH=/home/bart/bin:/tmp/bartgnunet/bin:/home/bart/bin:/tmp/bartgnunet/bin:/usr/local/sbin:/usr/local/bin:/usr/bin:/opt/cuda/bin:/usr/bin/vendor_perl:/usr/bin/core_perl; export PATH; gcc -fno-strict-aliasing -Wall -O0 -g -Wall -I/tmp/bartgnunet/include -o \$progdir/\$file gnunet_service_mesh_enc-gnunet-service-mesh-enc.o gnunet_service_mesh_enc-mesh_path.o gnunet_service_mesh_enc-mesh_common.o -lrt ../../src/util/.libs/libgnunetutil.so -L/tmp/bartgnunet/lib ../../src/core/.libs/libgnunetcore.so ../../src/dht/.libs/libgnunetdht.so ../../src/statistics/.libs/libgnunetstatistics.so ../../src/block/.libs/libgnunetblock.so /home/bart/g/src/util/.libs/libgnunetutil.so /tmp/bartgnunet/lib/libgcrypt.so -lgpg-error -lltdl -lz -lunistring -lm -Wl,-rpath -Wl,/home/bart/g/src/util/.libs -Wl,-rpath -Wl,/home/bart/g/src/core/.libs -Wl,-rpath -Wl,/home/bart/g/src/dht/.libs -Wl,-rpath -Wl,/home/bart/g/src/statistics/.libs -Wl,-rpath -Wl,/home/bart/g/src/block/.libs -Wl,-rpath -Wl,/tmp/bartgnunet/lib -Wl,-rpath -Wl,/tmp/bartgnunet/lib)"
35
36# This environment variable determines our operation mode.
37if test "$libtool_install_magic" = "%%%MAGIC variable%%%"; then
38 # install mode needs the following variables:
39 generated_by_libtool_version='2.4.2'
40 notinst_deplibs=' ../../src/util/libgnunetutil.la ../../src/core/libgnunetcore.la ../../src/dht/libgnunetdht.la ../../src/statistics/libgnunetstatistics.la ../../src/block/libgnunetblock.la /home/bart/g/src/util/libgnunetutil.la'
41else
42 # When we are sourced in execute mode, $file and $ECHO are already set.
43 if test "$libtool_execute_magic" != "%%%MAGIC variable%%%"; then
44 file="$0"
45
46# A function that is used when there is no print builtin or printf.
47func_fallback_echo ()
48{
49 eval 'cat <<_LTECHO_EOF
50$1
51_LTECHO_EOF'
52}
53 ECHO="printf %s\\n"
54 fi
55
56# Very basic option parsing. These options are (a) specific to
57# the libtool wrapper, (b) are identical between the wrapper
58# /script/ and the wrapper /executable/ which is used only on
59# windows platforms, and (c) all begin with the string --lt-
60# (application programs are unlikely to have options which match
61# this pattern).
62#
63# There are only two supported options: --lt-debug and
64# --lt-dump-script. There is, deliberately, no --lt-help.
65#
66# The first argument to this parsing function should be the
67# script's ../../libtool value, followed by no.
68lt_option_debug=
69func_parse_lt_options ()
70{
71 lt_script_arg0=$0
72 shift
73 for lt_opt
74 do
75 case "$lt_opt" in
76 --lt-debug) lt_option_debug=1 ;;
77 --lt-dump-script)
78 lt_dump_D=`$ECHO "X$lt_script_arg0" | /usr/bin/sed -e 's/^X//' -e 's%/[^/]*$%%'`
79 test "X$lt_dump_D" = "X$lt_script_arg0" && lt_dump_D=.
80 lt_dump_F=`$ECHO "X$lt_script_arg0" | /usr/bin/sed -e 's/^X//' -e 's%^.*/%%'`
81 cat "$lt_dump_D/$lt_dump_F"
82 exit 0
83 ;;
84 --lt-*)
85 $ECHO "Unrecognized --lt- option: '$lt_opt'" 1>&2
86 exit 1
87 ;;
88 esac
89 done
90
91 # Print the debug banner immediately:
92 if test -n "$lt_option_debug"; then
93 echo "gnunet-service-mesh-enc:gnunet-service-mesh-enc:${LINENO}: libtool wrapper (GNU libtool) 2.4.2" 1>&2
94 fi
95}
96
97# Used when --lt-debug. Prints its arguments to stdout
98# (redirection is the responsibility of the caller)
99func_lt_dump_args ()
100{
101 lt_dump_args_N=1;
102 for lt_arg
103 do
104 $ECHO "gnunet-service-mesh-enc:gnunet-service-mesh-enc:${LINENO}: newargv[$lt_dump_args_N]: $lt_arg"
105 lt_dump_args_N=`expr $lt_dump_args_N + 1`
106 done
107}
108
109# Core function for launching the target application
110func_exec_program_core ()
111{
112
113 if test -n "$lt_option_debug"; then
114 $ECHO "gnunet-service-mesh-enc:gnunet-service-mesh-enc:${LINENO}: newargv[0]: $progdir/$program" 1>&2
115 func_lt_dump_args ${1+"$@"} 1>&2
116 fi
117 exec "$progdir/$program" ${1+"$@"}
118
119 $ECHO "$0: cannot exec $program $*" 1>&2
120 exit 1
121}
122
123# A function to encapsulate launching the target application
124# Strips options in the --lt-* namespace from $@ and
125# launches target application with the remaining arguments.
126func_exec_program ()
127{
128 case " $* " in
129 *\ --lt-*)
130 for lt_wr_arg
131 do
132 case $lt_wr_arg in
133 --lt-*) ;;
134 *) set x "$@" "$lt_wr_arg"; shift;;
135 esac
136 shift
137 done ;;
138 esac
139 func_exec_program_core ${1+"$@"}
140}
141
142 # Parse options
143 func_parse_lt_options "$0" ${1+"$@"}
144
145 # Find the directory that this script lives in.
146 thisdir=`$ECHO "$file" | /usr/bin/sed 's%/[^/]*$%%'`
147 test "x$thisdir" = "x$file" && thisdir=.
148
149 # Follow symbolic links until we get to the real thisdir.
150 file=`ls -ld "$file" | /usr/bin/sed -n 's/.*-> //p'`
151 while test -n "$file"; do
152 destdir=`$ECHO "$file" | /usr/bin/sed 's%/[^/]*$%%'`
153
154 # If there was a directory component, then change thisdir.
155 if test "x$destdir" != "x$file"; then
156 case "$destdir" in
157 [\\/]* | [A-Za-z]:[\\/]*) thisdir="$destdir" ;;
158 *) thisdir="$thisdir/$destdir" ;;
159 esac
160 fi
161
162 file=`$ECHO "$file" | /usr/bin/sed 's%^.*/%%'`
163 file=`ls -ld "$thisdir/$file" | /usr/bin/sed -n 's/.*-> //p'`
164 done
165
166 # Usually 'no', except on cygwin/mingw when embedded into
167 # the cwrapper.
168 WRAPPER_SCRIPT_BELONGS_IN_OBJDIR=no
169 if test "$WRAPPER_SCRIPT_BELONGS_IN_OBJDIR" = "yes"; then
170 # special case for '.'
171 if test "$thisdir" = "."; then
172 thisdir=`pwd`
173 fi
174 # remove .libs from thisdir
175 case "$thisdir" in
176 *[\\/].libs ) thisdir=`$ECHO "$thisdir" | /usr/bin/sed 's%[\\/][^\\/]*$%%'` ;;
177 .libs ) thisdir=. ;;
178 esac
179 fi
180
181 # Try to get the absolute directory name.
182 absdir=`cd "$thisdir" && pwd`
183 test -n "$absdir" && thisdir="$absdir"
184
185 program=lt-'gnunet-service-mesh-enc'
186 progdir="$thisdir/.libs"
187
188 if test ! -f "$progdir/$program" ||
189 { file=`ls -1dt "$progdir/$program" "$progdir/../$program" 2>/dev/null | /usr/bin/sed 1q`; \
190 test "X$file" != "X$progdir/$program"; }; then
191
192 file="$$-$program"
193
194 if test ! -d "$progdir"; then
195 mkdir "$progdir"
196 else
197 rm -f "$progdir/$file"
198 fi
199
200 # relink executable if necessary
201 if test -n "$relink_command"; then
202 if relink_command_output=`eval $relink_command 2>&1`; then :
203 else
204 printf %s\n "$relink_command_output" >&2
205 rm -f "$progdir/$file"
206 exit 1
207 fi
208 fi
209
210 mv -f "$progdir/$file" "$progdir/$program" 2>/dev/null ||
211 { rm -f "$progdir/$program";
212 mv -f "$progdir/$file" "$progdir/$program"; }
213 rm -f "$progdir/$file"
214 fi
215
216 if test -f "$progdir/$program"; then
217 if test "$libtool_execute_magic" != "%%%MAGIC variable%%%"; then
218 # Run the actual program with our arguments.
219 func_exec_program ${1+"$@"}
220 fi
221 else
222 # The program doesn't exist.
223 $ECHO "$0: error: \`$progdir/$program' does not exist" 1>&2
224 $ECHO "This script is just a wrapper for $program." 1>&2
225 $ECHO "See the libtool documentation for more information." 1>&2
226 exit 1
227 fi
228fi